using System;

namespace InventoryTraker.Web.Services
{
	public class ImportException : Exception
	{
		public readonly string[] Messages;

		public ImportException(string message, Exception innerException) : base(message, innerException)
		{
			Messages = new[] { message };
		}

		public ImportException(string message) : base(message)
		{
			Messages = new [] {message};
		}

		public ImportException(string[] messages) : base(string.Join(Environment.NewLine, messages))
		{
			Messages = messages;
		}
	}
}